Update Query
curl --request PUT \
--url https://api.urldna.io/v1/query/{query_id} \
--header 'Content-Type: application/json' \
--header 'authorization: <authorization>' \
--data '
{
"name": "<string>",
"query_filters": [
{
"attribute": "<string>",
"value": "<string>"
}
]
}
'import requests
url = "https://api.urldna.io/v1/query/{query_id}"
payload = {
"name": "<string>",
"query_filters": [
{
"attribute": "<string>",
"value": "<string>"
}
]
}
headers = {
"authorization": "<authorization>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {authorization: '<authorization>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: '<string>', query_filters: [{attribute: '<string>', value: '<string>'}]})
};
fetch('https://api.urldna.io/v1/query/{query_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"name": "<string>",
"query_filters": [
{
"attribute": "<string>",
"value": "<string>"
}
]
}{
"detail": "Error description message"
}{
"detail": "Error description message"
}{
"detail": "Error description message"
}{
"detail": "Error description message"
}{
"detail": "Error description message"
}{
"detail": "Error description message"
}Endpoints
Update Query
Update the name or filters of an existing saved query.
PUT
/
v1
/
query
/
{query_id}
Update Query
Headers
Path Parameters
Body
application/json
⌘I
